### Method

# Hitaki TascamProtocol read_state

#### Declaration [src]

    gboolean
    hitaki_tascam_protocol_read_state (
      HitakiTascamProtocol* self,
      guint32* const* state,
      gsize* count,
      GError** error
    )

#### Description [src]

Read the latest image of device state.

#### Parameters

`state`

  Type: An array of `guint32*`

  The image of state.

  The argument will be modified by the function.
  The length of the array is specified in the `count` argument.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`count`

  Type: `gsize*`

  The length of image for state.

  The argument will be modified by the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

TRUE if the overall operation finished successfully, else FALSE.